<!DOCTYPE HTML>

{%- import "src/_global_variables.j2" as globals with context -%}
{%- import "src/_create_objects.j2" as objects with context -%}

{{ objects.createObjects(globals) }}


{%- set final_dmp_object = {} -%}
{%- do final_dmp_object.update({ "dmp" : globals.global_ns.main_vars.dmp_being_built }) %}


{%- set global_ns = namespace() -%}
{%- set global_ns.indent = 0 -%}

{% macro displayIndent(indent) %}
  {%- set local_ns = namespace() -%}
  {% set local_ns.indent = "<br>" %}
  {% for i in range(indent) %}
    {% set local_ns.indent = local_ns.indent  ~ "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;" %}
  {% endfor %}
  {{ local_ns.indent }}
{% endmacro %}


{%- macro dumpSelectDataset() -%}
  {%- set datasets = final_dmp_object.dmp.dataset -%}
  {%- for dataset in datasets -%}
    {{ displayIndent(global_ns.indent) ~ "dataset_title " ~ dataset.title }}
    {%- for d in dataset.distribution -%}
      {% set global_ns.indent = global_ns.indent + 1 %}
      {{ displayIndent(global_ns.indent) ~ "distribution_access " ~ d.data_access }}
      {{ displayIndent(global_ns.indent) ~ "distribution_title " ~ d.title }}
      {% set global_ns.indent = global_ns.indent - 1 %}
    {%- endfor -%}
  {%- endfor -%}
{%- endmacro -%}


<html>
  <head>
    <title>debug</title>
    <meta charset="utf-8">
    <style>{% include "src/default.css" %}</style>
  </head>
  <body>
    <article class="dmp">
      {{ dumpSelectDataset() }}
    </article>
  </body>
</html>
